POST
/api/v2/users/{userId}/referrals/terms-acceptanceRecords the inviter's acceptance of the current program terms.
Authentication
Send your API key in the x-api-key header on every request.
Parameters
| Field | Type | Required | Description |
|---|---|---|---|
| userId (path) | integer (int32) | Yes | |
| programId (query) | string (uuid) | No |
Request body
application/json
| Field | Type | Required | Description |
|---|---|---|---|
| TermsVersion | unknown | No |
Responses
200 — OK
| Field | Type | Required | Description |
|---|---|---|---|
| Version | unknown | Yes | |
| Text | string | Yes | |
| PrivacyNotice | string | Yes | |
| Accepted | boolean | Yes | |
| AcceptedVersion | unknown | Yes | |
| AcceptedAt | string (date-time) | Yes |
Example request
curl -X POST "https://{base_url}/api/v2/users/{userId}/referrals/terms-acceptance" \
-H "x-api-key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{}'This page is generated from the live OpenAPI specification and always matches the current API.